unit Unit9;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RzLabel, StdCtrls;

type
  TForm9 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    RzURLLabel3: TRzURLLabel;
    procedure RzURLLabel3Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form9: TForm9;

implementation

uses Unit6, Unit1;

{$R *.dfm}

procedure TForm9.RzURLLabel3Click(Sender: TObject);
begin
  if form9.Edit1.Text='' then
    begin
    Application.MessageBox('Не введено значение Uаим','Ощибка ввода',MB_OK + MB_ICONERROR);
     exit;
    end;
  if form9.Edit1.Text='0' then
    begin
    Application.MessageBox('Uаим не должен равняться 0','Ощибка ввода',MB_OK + MB_ICONERROR);
     exit;
    end;
  if LowerCase(form9.Edit1.Text)<> UpperCase(form9.Edit1.Text) then
    begin
    Application.MessageBox('Значение Uаим должно быть числом','Ощибка ввода',MB_OK + MB_ICONERROR);
     exit;
    end;
  Form9.Hide;
Form6.Show;
  
end;

procedure TForm9.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Form1.Close;
application.Terminate;
end;

end.
